import { request } from '@umijs/max';
import { api } from '../api';
console.log(api, process.env.NODE_ENV);

// 手机钉钉验证码获取
export async function getCode(phone: string) {
  return request(api + `/erp/user/dCodeLoginState/${phone}`);
}
// 手机短信验证码获取
export async function getNoteCode(phone: string) {
  return request(api + `/erp/user/smsCodeLoginState/${phone}`);
}
// 手机登录
export async function phoneLogin(params: { phone: string; code: string }) {
  console.log('------------>', params);
  return request(api + `/erp/user/dCodeLogin`, {
    method: 'POST',
    data: params,
  });
}
export async function getUserInfo() {
  return request(api + '/erp/user/loginUserInfo');
}
